/*
    Copyright (C) 2002  bjk <bjk@arbornet.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <sys/types.h>
#include <sys/stat.h>

#ifdef __linux__
#include <getopt.h>
#endif

#ifndef LINE_MAX
#define LINE_MAX 2048
#endif

#define PROGNAME "bubblegum"
#define VERSION "1.0"
#define COPYRIGHT "Copyright 2002 bjk <bjk@arbornet.org>"
#define LOGFILE "bubblegum.log" /* in home directory */
#define LOGLEVEL 3
#define SYSLOG_FACILITY LOG_DAEMON
#define SYSLOG_PRIORITY LOG_NOTICE
#define CMDRUNS 1
#define INTERVAL 5
#define TIMEFORMAT "%b %d %H:%M:%S %Y"
#define MAX_TIME_LEN 21

#define SET_BIT(var, bit)	(var |= (1 << bit))
#define RESET_BIT(var, bit)	(var &= ~(1 << bit))
#define TEST_BIT(var, bit)	(var & (1 << bit))
#define TOGGLE_BIT(var, bit)	(var ^= (1 << bit))

enum { ACCESS = 1, MODIFY, CHANGE, ERROR };

struct filelist {
    char *filename;
    struct stat laststat;
    unsigned char changed;
    unsigned int cmdruns;
    unsigned int staterrno;
    struct filelist *next;
};

/* check=bits to check, changes=changes per file (reset everytime) */
unsigned char check, changes; 
unsigned int loglevel, cmdruns, usesyslog, total, totalruns;
unsigned int reload, resetbits;
int niceness;
long seconds;
char logfile[FILENAME_MAX], command[FILENAME_MAX], wd[FILENAME_MAX];
char filenamelist[FILENAME_MAX];
