#!/bin/sh
#
# Mail results of a change from bubblegum. Use the command line:
#    bubblegum -e 'bgmailer.sh "%f" "%t" "%b" "%p" "%c" "%e" user@host.net'
#
# bjk <bjk@arbornet.org>
FILE="$1";
TIME="$2";
BTIME="$3";
PID="$4";
CHANGE="$5";
ERROR="$6";

PN="`basename $0`";

if [ $# -lt 7 ]; then
    echo "$PN - A mail wrapper for bubblegum.";
    echo "Usage: $PN file time basetime pid change error address1 [...]";
    exit 1;
fi;

shift 6;

if [ "$ERROR" = " " ]; then
    ERROR="N/A";
fi;

mail -s "bubblegum: $FILE" $* <<EOF
File       : $FILE
Base Time  : $BTIME
Change Time: $TIME
Change(s)  : $CHANGE
Error      : $ERROR
Daemon PID : $PID
EOF

exit 0;
